Bug 5350 - get_trust_pw_clear: could not fetch clear text trust account password for domain DOMAIN
get_trust_pw_clear: could not fetch clear text trust account password for dom...
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.28a
x86 Linux
: P3 regression
: none
Assigned To: Simo Sorce
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 09:33 UTC by Marco Berizzi
Modified: 2008-07-08 05:17 UTC (History)
5 users (show)

See Also:


Attachments
winbind log (153.88 KB, text/plain)
2008-03-25 09:42 UTC, Marco Berizzi
no flags Details
samba logs (level 5) (77.34 KB, application/octet-stream)
2008-04-07 02:53 UTC, Marco Berizzi
no flags Details
samba logs (level 10) and smb.conf (99.86 KB, application/octet-stream)
2008-04-07 06:50 UTC, Marco Berizzi
no flags Details
proposed patch (1.03 KB, patch)
2008-04-09 02:08 UTC, Volker Lendecke
no flags Details
samba logs with proposed patch applied (64.51 KB, application/octet-stream)
2008-04-14 03:02 UTC, Marco Berizzi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Berizzi 2008-03-25 09:33:59 UTC
samba 3.0.28a joined to a windows nt 4 domain
trust between nt 4 domain and windows 2003 domain
windows 2003 domain own the user accounts

when clients try to connect to a samba share they are prompted for a username/password box.
This is the output from winbind -d 5

this problem doesn't appear in samba 3.0.28
Comment 1 Marco Berizzi 2008-03-25 09:42:04 UTC
Created attachment 3211 [details]
winbind log
Comment 2 Jason Haar 2008-03-25 12:54:25 UTC
This is a "me too".

We have no NT4 domains - all Win2K3-based - and we have the same problem.

Samba-3.0.28a works fine when connected to from users in the same domain as itself, but when someone connects using a trusted domain account, it fails. The only error msg that makes any sense is this "get_trust_pw_clear: could not fetch clear text trust account password for domain DOMAIN" one that occurs. 

This all worked before upgrading to 3.0.28a

Thanks

Jason

Comment 3 Volker Lendecke 2008-04-06 05:47:27 UTC
Can you try the latest v3-0-test code from

http://repo.or.cz/w/Samba.git?a=snapshot;h=refs/heads/v3-0-test;sf=tgz

It contains some fixes that might help you.

Volker
Comment 4 Marco Berizzi 2008-04-07 02:52:12 UTC
no, it doesn't work.
I'm going to attach full samba logs.
Comment 5 Marco Berizzi 2008-04-07 02:53:41 UTC
Created attachment 3245 [details]
samba logs (level 5)
Comment 6 Volker Lendecke 2008-04-07 05:56:48 UTC
Please upload your smb.conf and debug level 10 logs of both smbd and winbind.

Thanks,

Volker
Comment 7 Marco Berizzi 2008-04-07 06:50:07 UTC
Created attachment 3247 [details]
samba logs (level 10) and smb.conf

here is smb.conf and samba log file
Comment 8 Volker Lendecke 2008-04-09 02:08:51 UTC
Created attachment 3254 [details]
proposed patch

Can you try the attached patch?

Thanks,

Volker
Comment 9 Marco Berizzi 2008-04-14 03:00:50 UTC
same problem: see logs.
Comment 10 Marco Berizzi 2008-04-14 03:02:35 UTC
Created attachment 3265 [details]
samba logs with proposed patch applied

here is samba logs with patch applied
Comment 11 Marco Berizzi 2008-05-22 08:50:47 UTC
same problem with samba 3.0.29
Comment 12 Marco Berizzi 2008-07-08 05:17:57 UTC
this bug is fixed in 3.2.0